Get an invoice by ID
https://api.propexo.com/v1/invoices/:invoice_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the invoice
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /v1/bills | Bills |
1598645The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /v1/bills | Bills |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE_REST
nullThe external ID of the vendor from the integration vendor
| Method | Interface |
|---|---|
| /v1/bills | Bills |
HOAThe external ID of the financial account from the integration vendor
This field will always be null for PROPERTYWARE_REST
nullThe external ID of the cash financial account from the integration vendor
This field will always be null for PROPERTYWARE_REST
nullThe external ID of the AP financial account from the integration vendor
This field will always be null for PROPERTYWARE_REST
nullThe amount due on the invoice, in cents
This field will always be null for PROPERTYWARE_REST
nullThe amount paid on the invoice, in cents
This field will always be null for PROPERTYWARE_REST
nullcustom_data object | nullrequired
The due date associated with the invoice
| Method | Interface |
|---|---|
| /v1/bills | Bills |
2025-01-01T00:00:00.000ZThe deposit amount in cents associated with the invoice
This field will always be null for PROPERTYWARE_REST
nullThe date a discount was issued on invoice
This field will always be null for PROPERTYWARE_REST
nullThe date the invoice was issued
| Method | Interface |
|---|---|
| /v1/bills | Bills |
2025-01-01T00:00:00.000ZThe reference number for the invoice
| Method | Interface |
|---|---|
| /v1/bills | Bills |
123ABC456Notes associated with the invoice
| Method | Interface |
|---|---|
| /v1/bills | Bills |
second oneThe date the invoice was posted. Some PMS systems only show the month.
This field will always be null for PROPERTYWARE_REST
nullThe month the invoice was posted.
This field will always be null for PROPERTYWARE_REST
nullThe raw post status associated with the invoice
This field will always be null for PROPERTYWARE_REST
nullThe sub total amount of the invoice
This field will always be null for PROPERTYWARE_REST
nullThe amount of the invoice, in cents
| Method | Interface |
|---|---|
| /v1/bills | Bills |
100000The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
This field will always be null for PROPERTYWARE_REST
nullThe Propexo unique identifier for the cash financial account
This field will always be null for PROPERTYWARE_REST
nullThe Propexo unique identifier for the ap financial account
This field will always be null for PROPERTYWARE_REST
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWARE_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWARE_RESTinvoice_items object[]required
The invoice list items associated with the invoice
The external ID from the integration vendor
| Method | Interface |
|---|---|
| /v1/bills | Bills |
cmgf9zqqk1134411377pycyrg6z0saeThe external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /v1/bills | Bills |
3834183The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE_REST
nullThe external ID of the financial account from the integration vendor
| Method | Interface |
|---|---|
| /v1/bills | Bills |
345090The external ID of the cash financial account from the integration vendor
This field will always be null for PROPERTYWARE_REST
nullThe Propexo unique identifier for the invoice
| Method | Interface |
|---|---|
| /v1/bills | Bills |
cmgfa2sta13334133751s3g7ak1mq1614The Propexo unique identifier for the construction job
This field will always be null for PROPERTYWARE_REST
nullThe amount due on the invoice item, in cents
This field will always be null for PROPERTYWARE_REST
nullNotes associated with the invoice item
| Method | Interface |
|---|---|
| /v1/bills | Bills |
CleaningThe amount of the invoice item, in cents
| Method | Interface |
|---|---|
| /v1/bills | Bills |
100000The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
| Method | Interface |
|---|---|
| /v1/bills | Bills |
cmgjprasu79183794371b9g9kvrcrejvThe Propexo unique identifier for the cash financial account
This field will always be null for PROPERTYWARE_REST
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1598645",
"x_property_id": "na",
"x_location_id": null,
"x_vendor_id": "HOA",
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": null,
"custom_data": "Unknown Type: object,null",
"due_date": "2025-01-01T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": null,
"invoice_date": "2025-01-01T00:00:00.000Z",
"invoice_number": "123ABC456",
"notes": "second one",
"post_date": null,
"post_month": null,
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": 100000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": null,
"ap_financial_account_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE_REST",
"invoice_items": [
{
"x_id": "cmgf9zqqk1134411377pycyrg6z0sae",
"x_property_id": "3834183",
"x_location_id": null,
"x_gl_account_id": "345090",
"x_cash_financial_account_id": null,
"invoice_id": "cmgfa2sta13334133751s3g7ak1mq1614",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "Cleaning",
"total_amount_in_cents": 100000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cmgjprasu79183794371b9g9kvrcrejv",
"cash_financial_account_id": null
}
]
}
}